SoSpotLight(3IV)

NAME
SoSpotLight — node representing a spotlight source

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoLight > SoSpotLight

SYNOPSIS
#include <Inventor/nodes/SoSpotLight.h>

Fields from class SoSpotLight:

SoSFVec3f
location
SoSFVec3f
direction
SoSFFloat
dropOffRate
SoSFFloat
cutOffAngle

Fields from class SoLight:

SoSFBool
on
SoSFFloat
intensity
SoSFColor
color

Methods from class SoSpotLight:

SoSpotLight()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a spotlight style light source. A spotlight is placed at a fixed location in 3-space and illuminates in a cone along a particular direction. The intensity of the illumination drops off exponentially as a ray of light diverges from this direction toward the edges of the cone. The rate of drop-off and the angle of the cone are controlled by the dropOffRate and cutOffAngle fields.

FIELDS
SoSFVec3f
location
Location of the source.

SoSFVec3f
direction
Principal direction of illumination (center axis of cone).

SoSFFloat
dropOffRate
Rate of intensity drop-off per change in angle from primary direction: 0 = constant intensity, 1 = very sharp drop-off

SoSFFloat
cutOffAngle
Angle (in radians) outside of which intensity is zero, measured from the center axis of the cone to an edge.

METHODS

SoSpotLight()
Creates a spotlight source node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction
Activates this light (if so specified) during traversal. All shape nodes that come after this light in the scene graph are illuminated by this light. The light's location is affected by the current transformation.

FILE FORMAT/DEFAULTS
SpotLight {
on	TRUE
intensity	1
color	1 1 1
location	0 0 1
direction	0 0 -1
dropOffRate	0
cutOffAngle	0.785398
}

SEE ALSO
SoDirectionalLight, SoPointLight